Subject: RE: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Drew Adams <[email-masked]>
Date: Mon, 12 Oct 2020 16:07:38 -0700 (PDT)

> > It's helpful in pretty much any context where regexps
> > are matched against text, IMO.
> 
> I think you are right.  So here is a patch that implements this:

It's probably not my place to criticize your patch.
But in case it helps:

I don't understand why you change the signature of
`replace-highlight' by adding parameter MATCH-DATA.

I just use (match-beginning GROUP) and (match-end GROUP),
instead of explicitly passing the match data and then
copying it all with `butlast' etc. just to find the
group's match beginning and end.

https://www.emacswiki.org/emacs/download/replace%2b.el